Name:		xlog
Version:	2.0.13
Release:	%mkrel 2
Summary:	Logging program for Amateur Radio Operators
Group:		Communications
License:	GPLv3+
URL:		http://www.nongnu.org/xlog/
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.xz
#==============================================
BuildRequires: shared-mime-info
BuildRequires: gettext-devel
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}hamlib-devel
BuildRequires: %{_lib}pango1.0-devel
#==============================================
Requires: hamlib-utils
Requires: %{_lib}hamlib2

%description
xlog is a logging program for amateur radio operators. The log is stored
in a text file. QSO's are presented in a list. Items in the list can be
added, deleted or updated. For each contact, dxcc information is displayed
and bearing and distance is calculated, both short and long path.
xlog supports trlog, adif, cabrillo, edit, twlog and editest files.

%prep
%setup -q

%build
%configure2_5x
%make LIBS=-lm

%install
rm -rf %buildroot
%makeinstall
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache
rm -f %{buildroot}%{_datadir}/doc/%{name}/glabels/qsllabels.glabels
%find_lang %{name}

%{__mv} %{buildroot}%{_iconsdir}/%{name}-icon.png %{buildroot}%{_iconsdir}/%{name}.png

desktop-file-install \
--dir %{buildroot}%{_datadir}/applications \
--remove-category='Utility' \
--remove-category='Database' \
--add-category='AudioVideo' \
--add-category='Audio' \
--add-category='X-MandrivaLinux-Internet-Other' \
--set-key=Icon \
--set-value=%{name} \
%{buildroot}%{_datadir}/applications/xlog.desktop

%files -f %{name}.lang
%doc data/doc/TODO data/doc/manual data/doc/KEYS
%doc data/glabels/qsllabels.glabels
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dxcc
%{_datadir}/%{name}/maps
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome-mime-text-x-%{name}.png
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man?/*


%changelog
* Fri Dec 02 2016 adrianomorselli <adrianomorselli> 2.0.13-2uplos2016
- rebuild

* Sat Jul 16 2016 bb <bb> 2.0.13-2pclos2016
- rebuild against updated hamlibs

* Sun Apr 03 2016 Ken <lxgator at gmail.com> 2.0.13-1pclos2016
- Initial pkg

